#!/bin/bash

export PGUSER=postgres
result=`psql -t -A <<- EOSQL
   SELECT 1 FROM pg_database WHERE datname='$DB_NAME';
EOSQL`

echo "checking for existing $DB_NAME ( $result ) "

if [[ $result == "1" ]]; then
    echo "$DB_NAME exists. continuing startup."
    # database exists
    # $? is 0
    exit 0
else
echo "Creating $DB_NAME for $DB_USER"
psql <<- EOSQL
   CREATE ROLE $DB_USER WITH LOGIN ENCRYPTED PASSWORD '${DB_PASS}' CREATEDB;
   CREATE DATABASE $DB_NAME WITH OWNER $DB_USER TEMPLATE template0 ENCODING 'UTF8';
   GRANT ALL PRIVILEGES ON DATABASE $DB_NAME TO $DB_USER;
EOSQL
fi

echo ""
echo "$DB_NAME database created"
